use chrono::{Utc, DateTime};
use serde::Serialize;

// Challenge submission
// In the legacy site version, one submission held 1 or more images.
// Now, 1 submission = 1 image, and the leaderboard count will be labeled as "participations"

#[derive(Serialize, Debug)]
pub struct Submission {
    pub author_id: u64,
    // Some fields might be empty for legacy submissions
    // Starting during challenge #87, submissions have a datestamp appended to their filename. 
    // TODO: Determine whether this datestamp is local time or UTC
    pub timestamp: Option<DateTime<Utc>>,
    // Image path relative to submission folder.
    // Thumbnail image path will be determined from this.
    pub image: String,
    // Not necessary for challenge pages,
    // but needed for user profile pages
    pub challenge: u32,
}