use super::{User, Username};

fn test_user(name: &str, discriminator: u16) -> User {
    User {
        name: name.to_owned(),
        discriminator,
        ..Default::default()
    }
}

#[test]
fn test_legacy_username() {
    let user = test_user("test", 123);
    assert_eq!(user.username(), "test#0123");
}

#[test]
fn test_new_username() {
    let user = test_user("test", 0);
    assert_eq!(user.username(), "test");
}

#[test]
fn is_name_deleted() {
    use super::is_name_deleted;
    assert!(is_name_deleted("Deleted User ce34a7da"));
    assert!(!is_name_deleted("Deleted User Ce34a7da")); // capital letter in hex
    assert!(!is_name_deleted("Deleted User ce34a7d")); // hex too short
    assert!(!is_name_deleted("Deleted User")); // no hex
}